#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Binary I/O stream class library
Summary(pl.UTF-8):	Biblioteka klas C++ dla strumieniowych binarnych operacji I/O
Name:		libbinio
Version:	1.5
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/adplug/libbinio/releases
Source0:	https://github.com/adplug/libbinio/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	261046e16f74d1cdbf9aa6c78fa264e4
Patch0:		%{name}-infopage.patch
URL:		http://adplug.github.io/libbinio/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libstdc++-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++. The library is hardware
independent in the form that it transparently converts between the
different forms of machine-internal binary data representation. It
further employs no special I/O protocol and can be used on arbitrary
binary data sources.

%description -l pl.UTF-8
Biblioteka klas strumieniowych binarnych operacji wejścia/wyjścia
prezentuje niezależny od platformy sposób dostępu do binarnych
strumieni danych w C++. Biblioteka jest niezależna od sprzętu dzięki
temu, że w przezroczysty sposób wykonuje konwersję pomiędzy różnymi
postaciami reprezentacji danych binarnych w wewnętrznym formacie
maszyny. Co więcej, nie wykorzystuje żadnego specjalnego protokołu
wejścia/wyjścia i może być używana na dowolnych źródłach danych
binarnych.

%package devel
Summary:	Header files for libbinio library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libbinio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for libbinio library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libbinio.

%package static
Summary:	Static libbinio library
Summary(pl.UTF-8):	Statyczna biblioteka libbinio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libbinio library.

%description static -l pl.UTF-8
Statyczna biblioteka libbinio.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libbinio.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libbinio.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbinio.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbinio.so
%{_includedir}/libbinio
%{_pkgconfigdir}/libbinio.pc
%{_infodir}/libbinio.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbinio.a
%endif
%changelog
* Sat Dec 12 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libbinio.git;a=log;h=master

* Sat Dec 12 2020 Jakub Bogusz <qboosh@pld-linux.org> c976498
- dropped obsolete gcc4 patch

* Sat Dec 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 9f8be04
- new URLs, updated to 1.5
- updated infopage patch
- dropped .la file

* Fri Oct 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 03105a2
- release 4 (C++ rebuild)

* Wed Mar 25 2015 Jan Rękorajski <baggins@pld-linux.org> 71f0e67
- x32 rebuild
- release 3 (by relup.sh)

* Fri Feb 22 2013 Jakub Bogusz <qboosh@pld-linux.org> cac3072
- ghost soname symlink, more verbose files

* Sat Oct 31 2009 Szymon Siwek <sls@pld-linux.org> 25152db
- added gcc4.patch

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f71b4e1
- release 2

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 01cd022
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d1488bf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3c5da5c
- converted to UTF-8

* Sun May 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 517ed3a
- just LGPL (v2.1+)

* Sun May 28 2006 Jakub Bogusz <qboosh@pld-linux.org> dae4446
- adjusted infopage patch, BR: texinfo

* Sun May 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 3e583b0
- unified spacing, dropped .info* patching

* Thu Feb 09 2006 freetz <freetz@pld-linux.org> 04076fa
- 1.4

* Thu Feb 09 2006 freetz <freetz@pld-linux.org> b600274
- updated for 1.4

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> 742492e
- added header "Conditional build:"

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> 0ff53c2
- s/bcond_without static/bcond_without static_libs/

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> c110197
- added bcond_without static

* Sun Jun 12 2005 Robert Kurowski <koorek@pld-linux.org> fdf2c26
- reverted stupid commit

* Sat Jun 11 2005 ankry <ankry@pld-linux.org> 85a4dff
- formatting, rel. fix

